package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFAO1 extends MwfRequest<MWFAO1, MWFAO1Response> {

    @Parameter(name = "CIF")
    MWFAO1 cif(String cif);
    @Parameter(name = "ICO")
    MWFAO1 ico(String ico);
    @Parameter(name = "PrivatniBankerFlag")
    MWFAO1 privatniBankerFlag(String privatniBankerFlag);
    @Parameter(name = "RC")
    MWFAO1 rc(String rc);
    @Parameter(name = "SRC_SYS_ID")
    MWFAO1 srcSysId(String srcSysId);
    @Parameter(name = "TypOsoby")
    MWFAO1 typOsoby(String typOsoby);
    @Parameter(name = "TypVazby")
    MWFAO1 typVazby(String typVazby);
}
